| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
qx::QxXmlWriter Class Reference

`#include <QxXmlWriter.h>`

List of all members.

## Public Types
typedef std::shared_ptr < QByteArray > | type_byte_arr_ptr
typedef QHash< QString, type_byte_arr_ptr > | type_hash_bin_data
typedef QHashIterator< QString, type_byte_arr_ptr > | type_hash_bin_data_itr
## Public Member Functions
| QxXmlWriter ()
virtual | ~QxXmlWriter ()
QString | getXml () const
type_hash_bin_data_itr | getBinaryDataItr () const
long | getBinaryDataCount () const
QString | writeBinaryData (const QString &namespaceUri, const QString &name, type_byte_arr_ptr pData)
QString | writeBinaryData (const QString &qualifiedName, type_byte_arr_ptr pData)
## Protected Member Functions
QString | getNextKeyBinaryData ()
void | initQxXmlWriter ()
## Protected Attributes
type_hash_bin_data | m_mapBinaryData
long | m_lKeyBinaryData
QString | m_pStringWriter

## Detailed Description

Definition at line 54 of file QxXmlWriter.h.

## Member Typedef Documentation

typedef std::shared_ptr<QByteArray> qx::QxXmlWriter::type_byte_arr_ptr

Definition at line 59 of file QxXmlWriter.h.

typedef QHash<QString, type_byte_arr_ptr> qx::QxXmlWriter::type_hash_bin_data

Definition at line 60 of file QxXmlWriter.h.

typedef QHashIterator<QString, type_byte_arr_ptr> qx::QxXmlWriter::type_hash_bin_data_itr

Definition at line 61 of file QxXmlWriter.h.

## Constructor & Destructor Documentation

qx::QxXmlWriter::QxXmlWriter | ( |  | ) | `[inline]`

Definition at line 71 of file QxXmlWriter.h.

virtual qx::QxXmlWriter::~QxXmlWriter | ( |  | ) | `[inline, virtual]`

Definition at line 72 of file QxXmlWriter.h.

## Member Function Documentation

long qx::QxXmlWriter::getBinaryDataCount | ( |  | ) | const`[inline]`

Definition at line 76 of file QxXmlWriter.h.

type_hash_bin_data_itr qx::QxXmlWriter::getBinaryDataItr | ( |  | ) | const`[inline]`

Definition at line 75 of file QxXmlWriter.h.

QString qx::QxXmlWriter::getNextKeyBinaryData | ( |  | ) | `[inline, protected]`

Definition at line 83 of file QxXmlWriter.h.

QString qx::QxXmlWriter::getXml | ( |  | ) | const`[inline]`

Definition at line 74 of file QxXmlWriter.h.

void qx::QxXmlWriter::initQxXmlWriter | ( |  | ) | `[inline, protected]`

Definition at line 84 of file QxXmlWriter.h.

QString qx::QxXmlWriter::writeBinaryData | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | type_byte_arr_ptr | pData
| ) |  |

QString qx::QxXmlWriter::writeBinaryData | ( | const QString & | qualifiedName,
|  | type_byte_arr_ptr | pData
| ) |  |

## Member Data Documentation

long qx::QxXmlWriter::m_lKeyBinaryData`[protected]`

Definition at line 66 of file QxXmlWriter.h.

type_hash_bin_data qx::QxXmlWriter::m_mapBinaryData`[protected]`

Definition at line 65 of file QxXmlWriter.h.

QString qx::QxXmlWriter::m_pStringWriter`[protected]`

Definition at line 67 of file QxXmlWriter.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxXml/QxXmlWriter.h